# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

pwarp:
  # Should we enable the gui?
  enabled: true
  # What is the name of the gui? 
  name: "playerwarp"
  # The title of the gui (Can use color codes) the variable "[category]" will only work if it is enabled.
  title: "&a&lPlayer Warps - [category] ([page]/[pages])"
  # What is the size of this GUI? (multiples of 9 can only go up to 54)
  size: 54
  # should /pwarp open the gui? if so you just do /pwarp open (if enabled)
  override-pwarp: true
  # What are the actions when this menu is opened up?
  open-actions: []
  # What are the actions when this menu is closed?
  close-actions: []
  # Should the page items be removed if there is page for that button. E.g. you're on page 0, it won't show the previous item.
  # You can also put an item where this page item is, and it'll only show if the page item isn't there.
  show-needed-page-items: false
  # Should the GUI hide server warps?
  hide-server-warps: false
  # What are the blacklisted slots that warps will not appear in the GUI?
  # This is useful if you want to add empty slots in the middle of the GUI instead of having an item there instead.
  blacklisted-slots:
  - ""

  # Searching for warps through the GUI
  search:
    # Should the feature be enabled?
    # You will need ProtocolLib for this to work.
    enabled: true
    # What is the title for the inventory?
    title: "&a&lSearch [search] - [category] ([page]/[pages])"
    # What are the premade lines in the sign? 
    # %search% is the variable they have to enter the warp in, so please make sure that line doesn't contain anything else.
    # If it doesn't contain the variable, then the plugin will just assume line 1 is user input. Colour codes will not work either.
    lines:
    - "%search%"
    - "----------------"
    - "Please enter a"
    - "search result."
    # This is the sign material that will be used for the search. This is only allowed to be a sign.
    material: "OAK_SIGN"

    item:
      material: "OAK_SIGN"
      data: 0
      name: "&aSearch"
      lore:
      - "&dClick&a to search for a warp."
      - ""
      - "&aYou can search for warps by:"
      - "&d* Full IGN"
      - "&d* Warp name"
      slot: 46
      amount: 1
      glowing: false
  icon:
    # Should the default icon of the item be their skull?
    skull: true
    # How should the skins be handled?
    # Options:
    # AUTO - Automatically detect if your server is online or offline mode.
    # OFFLINE - If your server is offline, it won't fetch skins via the Mojang API and will fetch via Bukkit as names.
    # ONLINE - If your server is online mode, but it directly fetches skins via the Mojang API
    # ONLINE_BUKKIT - If your server is online mode, but it uses the bukkit methods to fetch skins.
    # AUTO might not always work, if you're running your proxy offline then you most likely will need to set this to OFFLINE
    skull-skin-handler: "AUTO"
    # If the above option for skulls is false should the icon be carried from the category icon? (Only copies over the material)
    # If the warp has no category then it will display the icon below if there is no custom icon set via /pwarp icon.
    inherit-category-icon: false
    # If the option is disabled above, you can choose the default item here.
    # What is the item material?
    material: "DIAMOND_AXE"
    # What is the item id?
    data: 0
    # These only work if the skull is a PLAYER_HEAD and the data is 3!
    #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvODcyZDM0MWQ3N2RiZGU2ZDUzZGFkNjFiZjE5MjUyNGRiZGI5NmFmMTM1OGUwNzQ4ZmVlYTE0ODFiMWY4In19fQ== - Skull texture
    #owner: Warp - Skull owner

    # This is the name of the skull in the gui.
    name: "&a[warp]"
    # you can add multiple lores bc i god <3
    # If you're using SQL you can use the placeholder [server] to tell the player the server.
    # You can always use [world_type] and the return types are in the config.yml
    lore:
    - "&a[banned]"
    - "&a[safe]"
    - " "
    - "&aOwner: &d[owner]"
    - "&aLocation: &d[world], [location]"
    - "&aVisits: &d[visits]"
    - "&aDescription: "
    - "&d[desc]"
    - "&aTime Created: &d[date]"
    - "&aCategory: &d[category]"
    - "&aRates: &d[rates]"
    - "&aRates Average: &d[rates_average] &7(&e[rates_stars]&7)"
    - "&aTeleport Cost: &d[cost]"
    - " "
    - "&dRight click&a for more."
    # Should the item appear with the glowing effect?
    glowing: false

    locked:
      # Should warps appear if the warp is locked in the GUI?
      enabled: false
      # If the above option is enabled, should the icon player warp icon be changed?
      icon-changed: false

      # If the above option is enabled, what is the icon going to be changed to?
      icon:
        material: "BARRIER"
        name: "&a[warp]"
        lore:
        - "&a[banned]"
        - "&a[safe]"
        - " "
        - "&aOwner: &d[owner]"
        - "&aLocation: &d[world], [location]"
        - "&aVisits: &d[visits]"
        - "&aDescription: "
        - "&d[desc]"
        - "&aTime Created: &d[date]"
        - "&aCategory: &d[category]"
        - "&aRates: &d[rates]"
        - "&aRates Average: &d[rates_average] &7(&e[rates_stars]&7)"
        - "&aTeleport Cost: &d[cost]"
        - " "
        - "&dRight click&a for more."
    # Here are the available item flags https://javadocs.olziedev.com/spigot/latest/org/bukkit/inventory/ItemFlag.html
    item-flags:
    - "HIDE_ATTRIBUTES"

    # The variable "[safe]" will display the message below if the warp is safe
    warp-safe: "&aClick to teleport to &d[warp]"
    # The variable "[safe]" will display the message below if the warp is not safe
    warp-not-safe: "&cThis warp is not safe, click twice to teleport to &d[warp]"
    # What is the icon for [rates_stars]?
    rates-stars: "&e⭐"
    # What is the empty icon for [rates_stars]?
    empty-rates-stars: "&f⭐"
    # What is displayed when there is no warp cost?
    no-warp-cost: "&cNone"
    # What is displayed when there is a warp cost?
    has-warp-cost: "$[cost]"
    # The variable "[banned]" will display the message below if a player is banned
    player-banned: "&cYou are banned from this warp."
    # The variable "[banned]" will display the message below if a player is not banned
    player-not-banned: ""
    # The variable "[timeleft]" will display if there is time left on a ban
    time-left: "&cuntil &4[timeleft]"
    # The variable "[timeleft]" will display if there is no time left on a ban
    time-not-left: "permanently."
    # The variable "[favourite]" will display the message below if this warp is in your favourite list
    warp-favourite: "&aYou have this warp as a favourite."
    # The variable "[favourite]" will display the message below if this warp is not in your favourite list
    warp-not-favourite: ""
    # The variable "[has_visited]" will display the message below if a player has visited this warp. (This will only work if you have the visited warps menu enabled)
    has-visited: "You have visited this warp."
    # The variable "[has_visited]" will display the message below if a player has not visited this warp
    has-not-visited: "You have not visited this warp."
    # What are the commands that are ran when a player clicks on a warp?
    commands: []
    # If you have the visitedit menu disabled, right clicking will also teleport the player.
    # Do you want to disable right clicking and only have left clicking for teleporting?
    # This is useful if you want to add ur own right-commands for the warp.
    disable-right-click: false

  clickable-items:
    next-page:
      name: "&aNext Page"
      material: "ARROW"
      data: 0
      lore:
      - "&dClick&a to go to the next page."
      slot: 50
      amount: 1
      glowing: false
    previous-page:
      name: "&aPrevious page"
      material: "BARRIER"
      data: 0
      lore:
      - "&dClick&a to go to the previous page."
      slot: 48
      amount: 1
      glowing: false
    refresh:
      name: "&aRefresh"
      material: "SUNFLOWER"
      data: 0
      lore:
      - "&dClick&a to refresh the panel."
      slot: 49
      amount: 1
      glowing: false
    category:
      name: "&aCategory menu"
      material: "BOOK"
      data: 0
      lore:
      - "&dClick&a to go back to the category menu."
      slot: 45
      amount: 1
      glowing: false
    mywarps:
      name: "&aMy warps"
      material: "ENDER_PEARL"
      data: 0
      lore:
      - "&dClick&a to view your warps."
      slot: 53
      amount: 1
      glowing: false
    sort:
      name: "&aSort"
      material: "HOPPER"
      data: 0
      lore:
      - "&dClick&a to sort the GUI in a specific format."
      - "&aCurrent: &d%sort%"
      slot: 52
      amount: 1
      glowing: false
      cooldown: 5
      # This is the name of the next page item
      # If you wish to disable any of these please set them the material to "AIR"
      # this is the material of the next page item. valid material names: https://javadocs.olziedev.com/spigot/latest/org/bukkit/Material.html
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMWE0ZjY4YzhmYjI3OWU1MGFiNzg2ZjlmYTU0Yzg4Y2E0ZWNmZTFlYjVmZDVmMGMzOGM1NGM5YjFjNzIwM2Q3YSJ9fX0= - Skull texture
      #owner: Next - Skull owner
      # If you have enabled the category GUI then this item wil appear into the main GUI.
      # If you have enabled the category GUI then this item wil appear into the main GUI.
      # If you have enabled the my warps GUI then this item wil appear into the main GUI.

  items:
    1:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 45
      amount: 1
      glowing: false
    2:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 46
      amount: 1
    3:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 47
      amount: 1
    4:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 51
      amount: 1
    5:
      name: " "
      material: "MAGENTA_STAINED_GLASS_PANE"
      data: 2
      slot: 52
      amount: 1
    6:
      name: " "
      material: "LIME_STAINED_GLASS_PANE"
      data: 3
      slot: 53
      amount: 1
      # This is the name of the item.
      # This is the item material. To disable set this to AIR
      # This is the data item
      # You can add lores!
      # lore:
      #   - "&bThis is a pane."
      # What is the stack amount?
      # commands that will be executed on click.
      # [server] means the command is executed as the console
      # [player] means the command is executed as the player
      # commands:
      #   - "[server] msg %player% you clicked this item!"
      # These only work if the skull is a PLAYER_HEAD and the data is 3!
      #texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZmOGFmYjI3YmFmYzc3YzJiODI1OTljMmY3YjhmMWY2ODMxMGU2YWE5MDRmMDUxYjA3YWIxYzJiNmIifX19 - Skull texture
      #owner: Glass - Skull owner
